/// <reference types="node" />
import tls from 'node:tls';
import { InstanceConnectionInfo } from './instance-connection-info';
import { SslCert } from './ssl-cert';
interface SocketOptions {
    ephemeralCert: SslCert;
    host: string;
    port: number;
    instanceInfo: InstanceConnectionInfo;
    privateKey: string;
    serverCaCert: SslCert;
}
export declare function validateCertificate(instanceInfo: InstanceConnectionInfo): (hostname: string, cert: tls.PeerCertificate) => Error | undefined;
export declare function getSocket({ ephemeralCert, host, port, instanceInfo, privateKey, serverCaCert, }: SocketOptions): tls.TLSSocket;
export {};
//# sourceMappingURL=socket.d.ts.map